# Administration Reference

## vos move

Purpose

Moves a read/write volume to another site

Synopsis

    vos move -id <volume name or ID>  -fromserver <machine name on source>
             -frompartition <partition name on source>
             -toserver <machine name on destination>
             -topartition <partition name on destination>
             [-cell <cell name>]  [-noauth]  [-localauth]  [-verbose]  [-help]

    vos m -i <volume name or ID>  -froms <machine name on source>
          -fromp <partition name on source>  -tos <machine name on destination>
          -top <partition name on destination>  [-c <cell name>]
          [-n]  [-l]  [-v]  [-h]

Description

The vos move command moves the indicated read/write volume from its current site (specified with the -fromserver and -frompartition arguments) to the destination site (specified with the -toserver and -topartition arguments). This command automatically removes the backup copy from the current site, if it exists. To create a new backup volume at the destination site, use the vos backup command.

This command works on read/write volumes only. To move a read-only volume, use the vos addsite and vos release commands to define a new read-only site and release the volume contents to it, and then use the vos remove command to remove the previous read-only volume's definition from the Volume Location Database (VLDB) and data from the partition. To move a backup volume, use this command to move its read/write source and then issue the vos backup command.

Before executing this command, the vos command interpreter initiates a check that the destination partition contains enough space to house the volume being moved. If there is not enough space, the move operation is not attempted and the following message appears:

       vos: no space on target partition dest_part to move volume volume

Cautions

Unless there is a compelling reason, do not interrupt a vos move command in progress. Interrupting a move can result in one or more of the following inconsistent states:

- There are two versions of the volume, one at the source site and one at the destination site. (If this happens, retain the version identified by the VLDB and use the vos zap command to remove the other version.)

- The backup version of the volume is stranded at the old site. (If this happens, use the vos zap command to remove it.)

- The volume is off-line. (If this happens, run the bos salvage command to bring it back on line.)

If the <Ctrl-c> interrupt signal is pressed while a vos move operation is executing, the following message warns of the consequences and requests confirmation of the kill signal:

       SIGINT handler: vos move operation in progress
       WARNING: may leave AFS storage and metadata in indeterminate state
       enter second control-c to exit

To confirm termination of the operation, press <Ctrl-c> a second time; press any other key to continue the operation.

Options

-id
  Specifies either the complete name or volume ID number of a read/write volume.

-fromserver
  Identifies the file server machine where the volume currently resides. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

-frompartition
  Names the partition where the volume currently resides. Provide the full partition name (for, example, /vicepa) or one of the abbreviated forms described on the introductory vos reference page.

-toserver
  Identifies the file server machine to which to move the volume. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

-topartition
  Names the partition to which to move the volume. Provide the full partition name (for, example, /vicepa) or one of the abbreviated forms described on the introductory vos reference page.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example moves the volume user.smith from the /vicepb partition on the file server machine fs3.abc.com to the /vicepg partition on the file server machine fs7.abc.com.

       % vos move -id user.smith -fromserver fs3.abc.com -frompartition b  \
                  -toserver fs7.abc.com -topartition g

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machines specified with the -toserver and -fromserver arguments and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

Related Information

vos

vos addsite

vos backup

vos release

vos listvol

vos remove

© IBM Corporation 2000. All Rights Reserved